Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Representations/Perception/GrayScaleImage.h File Reference

Declaration of class GrayScaleImage. More...

`#include "CameraInfo.h"`
`#include "Image.h"`
`#include "Tools/Streams/InOut.h"`
`#include "Tools/ColorClasses.h"`

Include dependency graph for GrayScaleImage.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | GrayScaleImage
| Platform independend definition of an image class. More...
## Functions
Out & | operator<< (Out &stream, const GrayScaleImage &grayScaleImage)
| Streaming operator that writes a GrayScaleImage to a stream.
In & | operator>> (In &stream, GrayScaleImage &grayScaleImage)
| Streaming operator that reads a GrayScaleImage to a stream.

## Detailed Description

Declaration of class GrayScaleImage.

Definition in file GrayScaleImage.h.

## Function Documentation

Out& operator<< | ( | Out & | stream,
|  | const GrayScaleImage & | grayScaleImage
| ) |

  | Streaming operator that writes a GrayScaleImage to a stream. Parameters:
  stream | The stream to write on.
  grayScaleImage | The GrayScaleImage object.
Returns: The stream. Definition at line 32 of file GrayScaleImage.cpp. References GrayScaleImage::cameraInfo, GrayScaleImage::image, CameraInfo::resolutionHeight, CameraInfo::resolutionWidth, and Out::write().

Here is the call graph for this function:

In& operator>> | ( | In & | stream,
|  | GrayScaleImage & | grayScaleImage
| ) |

  | Streaming operator that reads a GrayScaleImage to a stream. Parameters:
  stream | The stream to read from.
  grayScaleImage | The GrayScaleImage object.
Returns: The stream. Definition at line 44 of file GrayScaleImage.cpp. References GrayScaleImage::cameraInfo, GrayScaleImage::image, In::read(), CameraInfo::resolutionHeight, and CameraInfo::resolutionWidth.

Here is the call graph for this function: